> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rocksky.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the currently playing track



## OpenAPI

````yaml /api-reference/openapi.json get /app.rocksky.player.getCurrentlyPlaying
openapi: 3.1.0
info:
  title: AT Protocol XRPC API
  summary: >-
    An unofficial conversion of AT Protocol's lexicons to OpenAPI's schema
    format.
  version: 0.0.0
  license:
    name: MIT License
    identifier: MIT
servers:
  - url: https://api.rocksky.app/xrpc/
    description: AT Protocol AppView XRPC server
security: []
tags:
  - name: app.rocksky.actor
  - name: app.bsky.actor
  - name: app.rocksky.album
  - name: app.rocksky.apikey
  - name: app.rocksky.apikeys
  - name: app.rocksky.artist
  - name: app.rocksky.charts
  - name: app.rocksky.feed
  - name: app.rocksky.graph
  - name: app.rocksky.like
  - name: app.rocksky.mirror
  - name: app.rocksky.player
  - name: app.rocksky.playlist
  - name: app.rocksky.playlistItem
  - name: app.rocksky.scrobble
  - name: app.rocksky.shout
  - name: app.rocksky.song
  - name: app.rocksky.spotify
  - name: app.rocksky.stats
  - name: com.atproto.repo
paths:
  /app.rocksky.player.getCurrentlyPlaying:
    get:
      tags:
        - app.rocksky.player
      summary: Get the currently playing track
      operationId: app.rocksky.player.getCurrentlyPlaying
      parameters:
        - name: playerId
          in: query
          required: false
          schema:
            type: string
        - name: actor
          in: query
          description: >-
            Handle or DID of the actor to retrieve the currently playing track
            for. If not provided, defaults to the current user.
          required: false
          schema:
            type: string
            description: >-
              Handle or DID of the actor to retrieve the currently playing track
              for. If not provided, defaults to the current user.
            format: at-identifier
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/app.rocksky.player.defs.currentlyPlayingViewDetailed
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                  - message
                properties:
                  error:
                    type: string
                    oneOf:
                      - const: InvalidRequest
                      - const: ExpiredToken
                      - const: InvalidToken
                  message:
                    type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                  - message
                properties:
                  error:
                    const: AuthMissing
                  message:
                    type: string
      security:
        - Bearer: []
components:
  schemas:
    app.rocksky.player.defs.currentlyPlayingViewDetailed:
      type: object
      properties:
        title:
          type: string
          description: The title of the currently playing track
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer

````